Wordpress
Опубликовано в Zaandr

Как помочь пользователям обновить IE6


Ох и насущная это проблема Internet Expoler 6, уже и 8 вышла, а 6ой ещё жив. И как вебмастеры не чертыхаются, как не не матерятся, а все от поддержки его не отказываются. Или отказываются, спускают всё на тормоза: «Пусть все едет в этом ie, я под него затачивать не буду». Такой вариант меня лично не устраивает. В этой статье пойдет речь как доступно и не назойливо показать пользователю, что пора бы и обновиться уже. Особенно повезло обладателям wordpress`а.

Вот буквально на днях натолкнулся я на интересный сайт ie6update.com (EN) в котором предлагается установить на сайт javascript, который имитирует стандартное всплывающие предупреждение в ie6.
Никакого радикализма — пользователя при клике пересылает на сайт microsoft, где ему старательно втюхивают 8 версию нашего любимого браузера. Многие возьмутся: «Зачем? На Firefox их!» (Chrome, Opera). Объясняем, это сделано, что бы у пользователя не возникло подозрений (ну когда это ie предлагал поставить другой браузер? :) ) Хотя урл вы можете задать любой, это ваше дело.

Но самое приятное для пользователей WP начиная с 2.x. Для них ребята с japh.com.au написали плагин, который я и представляю русскому сообществу разумеется на родном для сообщества языке :)

Скачать плагин WP-IE6Update

Устанавливаем, активируем, идем в настройки. Если возникнут проблемы — пишите в комментариях :)


Показать комментарии
  • Serg

    То-то я смотрю, что это такой подозрительный бар вылазит, предлагает обновиться. Сразу почуял не ладное. Хотят меня нае..ть?
    Нет уж, надо сваливать отсель.

    • Можно и так рассуждать. Только вот скрипт обмана то тут и нет, сайт действительно может некорректно отображаться в ie. Вот мы и просим обновиться :)